%define prefix /usr
%define name alert_clock
%define version 0.34
%define release %mkrel 2
%define url http://www.pclinuxos.com/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Alert clock, recalls you!
Summary(de):	Der Wecker erinnert Dich!
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	yad, bash, mplayer
Requires:       glibc >= 2.12.1
Requires:       libstdc++6 >= 4.5.2
Obsoletes:	%{name} <= %{version}

%description
Don't miss important times and events. Turn your computer 
into the perfect wake up system. Set the alarm and get the 
Pizza out of the oven in perfect time.

#german
%description -l de
Verpassen Sie nicht wichtige Termine - Schalten Sie Ihren 
Computer in den Weckmodus um alarmiert zu werden, um z.B.: 
Die Pizza aus dem Ofen zu holen.

%prep

%setup -q

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/wecker.png %buildroot%_datadir/icons/wecker.png
install -d -m 0755 %buildroot%_datadir/alert_clock
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/alarm.ogg %buildroot%_datadir/alert_clock/alarm.ogg

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=alert clock
Name[de]=Alarm Uhr
Comment=Don't miss important times and events
Comment[de]=Verpassen Sie nicht wichtige Termine
Exec=%{name}
Icon=wecker.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Infos;System;Monitor;X-MandrivaLinux-System-Monitoring;
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/wecker.png
%{_datadir}/applications/%{name}.desktop
%_datadir/alert_clock/alarm.ogg
%{_datadir}/locale/*
%doc COPYING

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}

%changelog
* Thu Dec 29 2011 leiche <meisssw01 at gmail.com> 0.34-2leiche2011
- add about

* Thu Dec 01 2011 leiche <meisssw01 at gmail.com> 0.33-1leiche2011
- change countdown

* Sat Oct 01 2011 leiche <meisssw01 at gmail.com> 0.32-1leiche2011
- 0.32
- add sound test
- not longer must restart alert_clock
 
* Wed Jul 13 2011 leiche <meisssw01 at gmail.com> 0.30-2leiche2011
- fix display in systray again, by using new version of yad

* Tue Jul 12 2011 leiche <meisssw01 at gmail.com> 0.30-1pclos2011
- fix dependence
- add sound changer

* Sun Jul 10 2011 leiche <meisssw01 at gmail.com> 0.15-1pclos2011
- fix icon display in systray, by move zenity to yad

* Thu Jun 21 2011 leiche <meisssw01 at gmail.com> 0.10-2leiche2011
- rename package, because multiple package from gnome alarm-clock
 
* Mon Aug 02 2010 leiche <meisssw01 at aol.com> 0.10-1pclos2010
- first build for pclinuxos

